interface InvalidateSsrCacheByPathParams {
    path: string;
    refresh?: boolean;
    expired?: boolean;
    async?: boolean;
}
declare type Tag = {
    id?: string;
    class?: string;
};
interface InvalidateSsrCacheByTagsParams {
    tags: Tag[];
    async?: boolean;
}
export default class Client {
    url: string;
    constructor(url: any);
    invalidateSsrCacheByPath({ path, refresh, expired, async }: InvalidateSsrCacheByPathParams): Promise<void>;
    invalidateSsrCacheByTags({ tags, async }: InvalidateSsrCacheByTagsParams): Promise<void>;
}
export {};
